<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%
String userGuideURL = (String) config.getServletContext().getAttribute(CarbonConstants.PRODUCT_XML_WSO2CARBON + CarbonConstants.PRODUCT_XML_USERGUIDE);
if(userGuideURL == null){
	userGuideURL = "#";
}
%>
<fmt:bundle basename="org.wso2.carbon.i18n.Resources">

    <div id="header-div">
        <div class="right-logo">Management Console</div>
<div class="left-logo"><a href="../admin/index.jsp" class="header-home"><img src="../admin/images/1px.gif" width="300px" height="32px"/></a></div>
        <div class="header-links">
            <ul>
                <li class="left">
                    <a target="_blank" href="../docs/about.html"><fmt:message key="about"/>&nbsp;&nbsp;</a>
                </li>
                <li class="middle">
                    <a target="_blank" href="<%=userGuideURL %>"><fmt:message key="docs"/>&nbsp;&nbsp;</a>
                </li>
                <%
                    Boolean authenticated = (Boolean) request.getSession().getAttribute("authenticated");
                    if (authenticated != null && authenticated.booleanValue()) {
                        String signedInAs = (String) request.getSession().getAttribute("logged-user");
                %>
                <li class="middle">
                    <label id="logged-user"><fmt:message key="signed.in.as"/> <%=signedInAs%>
                    </label>
                </li>
                <li class="right">
                    <a href="../admin/logout_action.jsp"><fmt:message key="sign.out"/></a>
                </li>
                <%} else { %>
                <li class="right">
                    <a href="../admin/login.jsp"><fmt:message key="sign.in"/></a>
                </li>
                <%} %>
            </ul>
        </div>
        
    </div>
</fmt:bundle>